Unable to install Qiime2-2022.8(genomeinfodbdata-1.2.7)

When I install QIIME2 (2022.8), I get this error warning:
ERROR conda.core.link:_execute(730): An error occurred while installing package 'bioconda::bioconductor-genomeinfodbdata-1.2.7-r41hdfd78af_2'.
Rolling back transaction: done
class: LinkError
message:
post-link script failed for package bioconda::bioconductor-genomeinfodbdata-1.2.7-r41hdfd78af_2
location of failed script: /home/y/miniconda3/envs/qiime2-2022.8/bin/.bioconductor-genomeinfodbdata-post-link.sh
==> script messages <==

==> script output <==
stdout: /home/y/miniconda3/envs/qiime2-2022.8/share/bioconductor-genomeinfodbdata-1.2.7-2/GenomeInfoDbData_1.2.7.tar.gz: 失败
/home/y/miniconda3/envs/qiime2-2022.8/share/bioconductor-genomeinfodbdata-1.2.7-2/GenomeInfoDbData_1.2.7.tar.gz: 失败
ERROR: post-link.sh was unable to download any of the following URLs with the md5sum 74c82f26111062a9ceb3c5331088cd56:
https://bioconductor.org/packages/3.14/data/annotation/src/contrib/GenomeInfoDbData_1.2.7.tar.gz
https://bioarchive.galaxyproject.org/GenomeInfoDbData_1.2.7.tar.gz
https://depot.galaxyproject.org/software/bioconductor-genomeinfodbdata/bioconductor-genomeinfodbdata_1.2.7_src_all.tar.gz

stderr: QIIME is caching your current deployment for improved performance. This may take a few moments and should only happen once per deployment.
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:--:-- 0:00:03 --:--:-- 0
curl: (7) Failed to connect to bioconductor.org port 443 after 3515 ms: 拒绝连接
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 153 100 153 0 0 67 0 0:00:02 0:00:02 --:--:-- 67
md5sum: 警告:1 个校验和不匹配
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 153 100 153 0 0 83 0 0:00:01 0:00:01 --:--:-- 83
md5sum: 警告:1 个校验和不匹配

return code: 1

kwargs:
{}

Traceback (most recent call last):
File "/home/y/miniconda3/lib/python3.8/site-packages/conda/exceptions.py", line 1125, in call
return func(*args, **kwargs)
File "/home/y/miniconda3/lib/python3.8/site-packages/conda_env/cli/main.py", line 80, in do_call
exit_code = getattr(module, func_name)(args, parser)
File "/home/y/miniconda3/lib/python3.8/site-packages/conda/notices/core.py", line 72, in wrapper
return_value = func(*args, **kwargs)
File "/home/y/miniconda3/lib/python3.8/site-packages/conda_env/cli/main_create.py", line 156, in execute
result[installer_type] = installer.install(prefix, pkg_specs, args, env)
File "/home/y/miniconda3/lib/python3.8/site-packages/conda_env/installers/conda.py", line 59, in install
unlink_link_transaction.execute()
File "/home/y/miniconda3/lib/python3.8/site-packages/conda/core/link.py", line 281, in execute
self._execute(tuple(concat(interleave(self.prefix_action_groups.values()))))
File "/home/y/miniconda3/lib/python3.8/site-packages/conda/core/link.py", line 744, in _execute
raise CondaMultiError(tuple(concatv(
conda.CondaMultiErrorclass: LinkError
message:
post-link script failed for package bioconda::bioconductor-genomeinfodbdata-1.2.7-r41hdfd78af_2
location of failed script: /home/y/miniconda3/envs/qiime2-2022.8/bin/.bioconductor-genomeinfodbdata-post-link.sh
==> script messages <==

==> script output <==
stdout: /home/y/miniconda3/envs/qiime2-2022.8/share/bioconductor-genomeinfodbdata-1.2.7-2/GenomeInfoDbData_1.2.7.tar.gz: 失败
/home/y/miniconda3/envs/qiime2-2022.8/share/bioconductor-genomeinfodbdata-1.2.7-2/GenomeInfoDbData_1.2.7.tar.gz: 失败
ERROR: post-link.sh was unable to download any of the following URLs with the md5sum 74c82f26111062a9ceb3c5331088cd56:
https://bioconductor.org/packages/3.14/data/annotation/src/contrib/GenomeInfoDbData_1.2.7.tar.gz
https://bioarchive.galaxyproject.org/GenomeInfoDbData_1.2.7.tar.gz
https://depot.galaxyproject.org/software/bioconductor-genomeinfodbdata/bioconductor-genomeinfodbdata_1.2.7_src_all.tar.gz

stderr: QIIME is caching your current deployment for improved performance. This may take a few moments and should only happen once per deployment.
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:--:-- 0:00:03 --:--:-- 0
curl: (7) Failed to connect to bioconductor.org port 443 after 3515 ms: 拒绝连接
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 153 100 153 0 0 67 0 0:00:02 0:00:02 --:--:-- 67
md5sum: 警告:1 个校验和不匹配
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 153 100 153 0 0 83 0 0:00:01 0:00:01 --:--:-- 83
md5sum: 警告:1 个校验和不匹配

return code: 1

kwargs:
{}

: <exception str() failed>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/y/miniconda3/bin/conda-env", line 7, in
sys.exit(main())
File "/home/y/miniconda3/lib/python3.8/site-packages/conda_env/cli/main.py", line 91, in main
return conda_exception_handler(do_call, args, parser)
File "/home/y/miniconda3/lib/python3.8/site-packages/conda/exceptions.py", line 1413, in conda_exception_handler
return_value = exception_handler(func, *args, **kwargs)
File "/home/y/miniconda3/lib/python3.8/site-packages/conda/exceptions.py", line 1128, in call
return self.handle_exception(exc_val, exc_tb)
File "/home/y/miniconda3/lib/python3.8/site-packages/conda/exceptions.py", line 1159, in handle_exception
return self.handle_application_exception(exc_val, exc_tb)
File "/home/y/miniconda3/lib/python3.8/site-packages/conda/exceptions.py", line 1173, in handle_application_exception
self._print_conda_exception(exc_val, exc_tb)
File "/home/y/miniconda3/lib/python3.8/site-packages/conda/exceptions.py", line 1177, in _print_conda_exception
print_conda_exception(exc_val, exc_tb)
File "/home/y/miniconda3/lib/python3.8/site-packages/conda/exceptions.py", line 1102, in print_conda_exception
stderrlog.error("\n%r\n", exc_val)
File "/home/y/miniconda3/lib/python3.8/logging/init.py", line 1475, in error
self._log(ERROR, msg, args, **kwargs)
File "/home/y/miniconda3/lib/python3.8/logging/init.py", line 1589, in _log
self.handle(record)
File "/home/y/miniconda3/lib/python3.8/logging/init.py", line 1598, in handle
if (not self.disabled) and self.filter(record):
File "/home/y/miniconda3/lib/python3.8/logging/init.py", line 811, in filter
result = f.filter(record)
File "/home/y/miniconda3/lib/python3.8/site-packages/conda/gateways/logging.py", line 50, in filter
record.msg = record.msg % new_args
File "/home/y/miniconda3/lib/python3.8/site-packages/conda/init.py", line 107, in repr
errs.append(e.repr())
File "/home/y/miniconda3/lib/python3.8/site-packages/conda/init.py", line 64, in repr
return '%s: %s' % (self.class.name, str(self))
File "/home/y/miniconda3/lib/python3.8/site-packages/conda/init.py", line 68, in str
return str(self.message % self._kwargs)
ValueError: unsupported format character 'T' (0x54) at index 1059

As far as I know, the installation of QIIME2-2022.2 also has such an error.
Thank you very much
YXX

Good morning @YXX,

Welcome to the forums! :qiime2:

Looks like part of this package is having trouble downloading:

ERROR: post-link.sh was unable to download any of the following URLs with the md5sum 74c82f26111062a9ceb3c5331088cd56:
https://bioconductor.org/packages/3.14/data/annotation/src/contrib/GenomeInfoDbData_1.2.7.tar.gz
https://bioarchive.galaxyproject.org/GenomeInfoDbData_1.2.7.tar.gz
https://depot.galaxyproject.org/software/bioconductor-genomeinfodbdata/bioconductor-genomeinfodbdata_1.2.7_src_all.tar.gz

Try running this again and see if the download can finish. Sometimes the download finishes on the second try.

Thanks for your reply, but this operation has not worked. After many attempts, it can be determined that the download of "GenomeInfoDbData_1.2.7.tar.gz" is invalid. This phenomenon seems to occur only in China (all Chinese scholars are currently unable to use the new version of QIIME2).

1 Like

I will mention the bioconductor URL seems to work ok for me, whereas the other galaxy-related URLs all 404 (but it appears the underlying hosting has shifted recently, so those may end up corrected eventually).

Double check that this URL fails in a normal browser:

https://bioconductor.org/packages/3.14/data/annotation/src/contrib/GenomeInfoDbData_1.2.7.tar.gz

(This URL should actually return a 302 to redirect to https://mghp.osn.xsede.org/bir190004-bucket01/archive.bioconductor.org/packages/3.14/data/annotation/src/contrib/GenomeInfoDbData_1.2.7.tar.gz, if that redirect is failing but the new location works or vice-versa then it might be a clue for your local network situation.)

If it does, see if your institution has any particular policy against bioconductor.org, which would be surprising as it's the source of a lot of important bioinformatics software (in R). Or they may have a policy against xsede.org which would be unfortunate.

Other than that, I'm afraid I don't have any good solutions for this, but this issue may someday be fixed, if the data can be moved out of the post-link script. Here is a relevant discussion on these data packages (of which GenomeInfoDBData is a member).

2 Likes